## Apache Zeta Components Manual :: Docs For Class ezcReflectionCallToUndefinedMethodException

### Reflection::ezcReflectionCallToUndefinedMethodException

### Class ezcReflectionCallToUndefinedMethodException

Exception that is thrown if an invalid class is passed as callback class for delayed object configuration.

Source for this file: /Reflection/src/exceptions/call_to_undefined_method.php

    Exception
       |
       --ezcBaseException
          |
          --ezcReflectionCallToUndefinedMethodException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $class , $method )` Constructs a new ezcReflectionCallToUndefinedMethodException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $class , string $method )

Constructs a new ezcReflectionCallToUndefinedMethodException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |
`$method` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3